About the Microsoft Visio Web Component

With the Visio Web Component, you can use your Web browser to view and print drawings created in Microsoft Visio. You do not need Microsoft Visio installed on your computer to view and print Visio drawings. Using the Visio Web Component, you can also share Visio drawings with team members who don't have Visio.

Click to show or hide information. View drawings in your Web browser

When someone sends a Visio drawing to you and you open it, the drawing is displayed inside your Web browser in the Visio Web Component window. You can zoom in on (magnify) or zoom out of (shrink) the drawing, and you can move around in the drawing. If a drawing has more than one page, only one page is displayed in the browser. To go to other pages, use the Select Page box on the Visio toolbar.

The Visio Web Component displays a Visio drawing inside a Web browser.

A The Visio toolbar gives you commands to zoom in, zoom out, and change pages.

B The Web Component window displays the Visio drawing.

Click to show or hide information. View data stored in shapes

In Visio drawings, data can be stored in a shape's custom properties. For example, an organization chart shape that represents an employee may have custom properties for the employee's department, telephone number, name, and title.

You can view the data stored in a shape in the Properties and Settings dialog box. However, you cannot add new data or modify the existing data.

Click to show or hide information. Supported Visio drawing versions

Using the Visio Web Component, you can open Visio drawings saved in Visio drawing format (.vsd) or Visio XML drawing format (.vdx). You can open drawings saved by any Visio product, versions 5.0, 2000, and 2002.

Click to show or hide information. Sample drawings

The Visio Web Component includes sample drawings that you can view. The following sample drawings are located on your hard disk in C:\Program Files\Common Files\Microsoft Shared\Web Components\VWC.

  • Sample1 is a flowchart in Visio drawing format.
  • Sample2 is the same flowchart in Visio XML drawing format.
  • VWC_Sample is an HTML file that shows Web authors how to embed the Visio Web Component in a Web page.


View different parts of a drawing

Click to show or hide information. Zoom in or out of a drawing

Do one of the following:

  • On the Visio toolbar, click the Zoom In button [image] or the Zoom Out button [image].
  • Press CTRL+SHIFT and drag a rectangle around the area you want to magnify.

Click to show or hide information. View a different part of the page

Do one of the following:
  • Click the page and drag.
  • Drag the scroll bars to the right or bottom of the page.

Click to show or hide information. Go to a different page

  1. Click the arrow next to the Select Page box [image].
  2. Click the page you want.


View the data stored in a shape

  1. CTRL+click a shape in the Microsoft Visio drawing.

When you position the pointer over a shape that has data, the pointer changes to either this [image] or this [image].

  2. On the Visio toolbar, click the Properties and Settings button [image].


Change how a Visio drawing is displayed in a Web page

  1. On the Visio toolbar, click the Properties and Settings button [image].
  2. Click the Display Settings tab, and then choose the options you want:
  • To hide the toolbar on top of the drawing, clear the Show toolbar check box.
  • To hide the scroll bars at the side and bottom of the drawing, clear the Show scroll bars check box.
  • To hide the page boundary for the drawing, clear the Show page check box.
  • To hide the grid lines that appear on a drawing, clear the Show grid check box.

Click to show or hide information. Tip

You can zoom in on or out of a drawing without the toolbar by right-clicking the drawing and choosing a zoom command.


Follow a hyperlink

  1. Position the pointer over a shape that has a hyperlink.

When the pointer is over a hyperlink, it changes to either this [image] or this [image].

  2. Click the shape.


Edit a drawing

If you have Microsoft Visio installed on your computer, you can start Visio from the browser so that you can edit a Visio drawing. If you are viewing a Visio drawing that is on a Web server, you must have the correct permissions to modify documents on the server.

  1. On the Visio toolbar, click the Open in Visio button [image].
  2. In Visio, make your changes to the drawing, and then save and close the drawing.
  3. On the browser's View menu, click Refresh to update the drawing in the browser.


Print a drawing

The browser prints the portion of the drawing page that is currently visible inside the Visio Web Component window. You can only print one page at a time.

  1. Make sure that the portion of the drawing you want to print is visible in the browser window.
  2. On your browser's menu bar, on the File menu, click Print.

Click to show or hide information. Tips

  • You can see how the printed drawing will look before you print it by choosing Print Preview on the File menu.
  • You can change the proportions of the printed drawing by changing the size and shape of the browser window.
  • Choose a printer paper orientation (portrait or landscape) that matches the orientation of the Visio drawing.


Troubleshoot viewing drawings

Click to show or hide information. When I open a drawing with the Visio Web Component, I get a blank page.

There may be an error in the drawing. To confirm that, try opening a different drawing. If the second one works, you may have errors in the first drawing. Ask the document author to verify the drawing and send you a new copy.


Troubleshoot printing

Click to show or hide information. My drawing is distorted when I print (shapes are stretched out).

When you print a Visio drawing from a Web browser, whatever is currently shown in the browser window is what prints on the printer paper. If the proportions of the browser window are different from the printer paper, the drawing is stretched.

  • Try resizing the browser window to match the proportions of the printer paper. For example, if you are printing to either 8.5-by-11-inch paper or A4 paper, resize the browser window so that the window is taller than it is wide.
  • Make sure you choose a printer paper orientation that matches the Visio drawing orientation. For example, if the Visio drawing is wider than it is tall, on the browser's File menu, click Page Setup. Under Orientation, click Landscape.


Remove the Microsoft Visio Web Component

  1. Quit your Web browser.
  2. In Windows Control Panel, double-click Add/Remove Programs.
  3. Do one of the following:

Click to show or hide information. For Windows XP, Windows 2000, and Windows Millennium Edition

In the Currently installed programs box, click Microsoft Visio Web Component, and then click Remove.

Click to show or hide information. For Windows 98 and Windows NT 4.0

On the Install/Uninstall tab, click Microsoft Visio Web Component, and then click Add/Remove.

  4. Follow the instructions on the screen.


Keyboard shortcuts

To | Do this
Zoom in | CTRL+SHIFT+click
Zoom out | CTRL+SHIFT+right-click
Zoom in on a selected area | CTRL+SHIFT+drag a rectangle
Move the drawing | Click and drag the drawing


Microsoft Services

Product Name

Microsoft Visio Web Component

Support Info Online

http://support.microsoft.com/directory/productsupportoption.asp

In Canada, visit http://www.microsoft.ca/support

Phone Support

In the US, you may call (800) 936-5700 for paid personal support or use the numbers listed below for paid professional support.

  • Developers: (800) 936-5800
  • IT Professionals: (800) 936-4900
  • Partners (resellers/consultants): (888) 456-5570
  • Microsoft Certified Partners: (888) 677-9444
  • Original Equipment Manufacturers: (800) 936-2197
  • System Builders: (888) 456-5570

Canadian customers may call (800) 668-7975 for paid personal support and (800) 805-4440 for paid professional support.

TTY Users

Microsoft text telephone (TTY/TDD) services are available at (425) 635-4948 in Washington state or (800) 892-5234 in the U.S. Call (905) 568-9641 in Canada.

Worldwide

Support options, hours and cost in your country or region may differ from the US. Please visit http://support.microsoft.com/directory/ww.asp to check with your local office for details.

Conditions

Microsoft's support services are subject to then-current prices, terms, and conditions, which are subject to change without notice.


Properties and Settings dialog box (Shape Properties tab)

Click to show or hide information. Custom Properties

Displays the custom properties for the selected shape. A custom property is data stored with a shape.

The Name column shows the name of the custom property. The Value column shows the data stored in the custom property. For example, an organization chart shape might have a Department custom property with a value of Finance.


Properties and Settings dialog box (Display Settings tab)

Click to show or hide information. Higher Quality

Smoothes the edges of shapes and text. If lines appear jagged in the drawing, try selecting this check box to improve the display.

Click to show or hide information. Faster

Speeds up the display of text and shapes when you open a Microsoft Visio drawing or move around in it.

Click to show or hide information. Toolbar

Displays the Visio toolbar at the top of the Visio drawing.

Click to show or hide information. Scroll Bars

Displays scroll bars at the left and bottom edges of the Visio drawing.

Click to show or hide information. Page

Displays the boundaries of the Visio drawing page.

Click to show or hide information. Grid

Displays the grid lines in Visio drawings.